RDF::Redland::Iterator(3pm)

NAME
RDF::Redland::Iterator - Redland RDF Iterator Class

SYNOPSIS
  use RDF::Redland;

  ...
  my $iterator=$model->targets_iterator($source_node, $arc_node);
  while($iterator && !$iterator->end) {
    my $node=$iterator->current;
    ...
    $iterator->next;
  }

DESCRIPTION
This class is used to return lists of RDF::Redland::Node objects from a method that returns an RDF::Redland::Iterator - commonly one of the get_sources_iterator, get_targets_iterator or get_arcs_iterator methods of the RDF::Redland::Model class.

This allows efficient retrieval of long lists of RDF::Redland::Node objects but isn't really very Perl-friendly. The get_sources, get_targets or get_arcs methods of RDF::Redland::Model class return Perl lists and the get_source, get_target and get_arc methods return single arbitrary results.

CONSTRUCTORS
No public constructors - are created and returned from various methods of classes including RDF::Redland::Model

METHODS

end Return non 0 if the iterator has finished

current
    Returns the current RDF::Redland::Node object from the iteration or undef if the iteration is finished.

next
    Moves the iterator to the next item, returns undef if the iteration is finished.

context
    Returns the context RDF::Redland::Node object from the iteration or undef if the iteration is finished.

SEE ALSO
RDF::Redland::Model and RDF::Redland::Node

AUTHOR
Dave Beckett - http://www.dajobe.org/